'use client'

import { useState } from 'react'
import { Dropzone, ExtFile, FileMosaic } from '@files-ui/react'

export const DragAndDrop = ({transformImageToCode}: {transformImageToCode: (file: File) => Promise<void> }) => {
	const [files, setFiles] = useState<ExtFile[]>([])

	const updateFiles = (files: ExtFile[]) => {
		const file = files[0].file;

        if (file) {
            transformImageToCode(file)
        }
	}

	return (
		<Dropzone
			label="Arrastra aquí tu captura de pantalla"
			header={false}
			footer={false}
			maxFiles={1}
			accept="image/*"
			onChange={updateFiles}
		>
			{files.map((file, index) => {
				return <FileMosaic key={index} {...file} preview />
			})}
		</Dropzone>
	)
}
